=== debian/changelog ===
flightgear (1:2018.2.2+dfsg-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Nov 2018 19:18:22 -0800

flightgear (1:2018.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.2.2+dfsg
    - Refresh patches
    - Add new patch to disable some failing tests for now
    - Update versioned Build-Dependencies to new data packages
  * Update Standards-Version to 4.2.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Aug 2018 22:04:36 +0200

flightgear (1:2018.1.1+dfsg-3) unstable; urgency=medium

  * Add dependency on the qml modules qml-module-qtquick2 and
    qml-module-qtquick-window2. Closes: #897159.
  * Disable the QT launcher for architectures armel and armhf.
    Closes: #895332.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 07 May 2018 20:19:12 +0200

flightgear (1:2018.1.1+dfsg-2) unstable; urgency=medium

  * Set maintainer e-mail address to team+flightgear@tracker.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 05 May 2018 17:54:09 +0200
