## flightgear 2018.3.2%2Bdfsg

=== src/GUI/CMakeLists.txt ===
--- 
+++ 
@@ -67,12 +67,14 @@
 endif()
 
 if (HAVE_QT)
-    qt5_wrap_ui(uic_sources Launcher.ui
-                            SetupRootDialog.ui
-                            LocationWidget.ui
+    qt5_wrap_ui(uic_sources SetupRootDialog.ui
                             InstallSceneryDialog.ui
                             )
     qt5_add_resources(qrc_sources resources.qrc)
+
+    if (TARGET fgfs_qm_files)
+      qt5_add_resources(qrc_sources ${PROJECT_BINARY_DIR}/translations.qrc)
+    endif()
 
     add_library(fglauncher QtLauncher.cxx
                             QtLauncher.hxx
@@ -90,16 +92,14 @@
                             AircraftModel.cxx
                             CatalogListModel.cxx
                             CatalogListModel.hxx
-                            LocationWidget.cxx
-                            LocationWidget.hxx
                             QtMessageBox.cxx
                             QtMessageBox.hxx
                             QtFileDialog.cxx
                             QtFileDialog.hxx
                             InstallSceneryDialog.hxx
                             InstallSceneryDialog.cxx
-                            ToolboxButton.cpp
-                            ToolboxButton.h
+                            LocationController.cxx
+                            LocationController.hxx
                             LauncherArgumentTokenizer.cxx
                             LauncherArgumentTokenizer.hxx
                             AircraftSearchFilterModel.cxx
@@ -108,8 +108,6 @@
                             DefaultAircraftLocator.hxx
                             LaunchConfig.cxx
                             LaunchConfig.hxx
-                            ViewCommandLinePage.cxx
-                            ViewCommandLinePage.hxx
                             MPServersModel.cpp
                             MPServersModel.h
                             PathUrlHelper.cxx
@@ -122,12 +120,14 @@
                             LauncherController.hxx
                             AddOnsController.cxx
                             AddOnsController.hxx
+                            PixmapImageItem.cxx
+                            PixmapImageItem.hxx
                             ${uic_sources}
                             ${qrc_sources}
                             ${qml_sources})
 
     set_property(TARGET fglauncher PROPERTY AUTOMOC ON)
-    target_link_libraries(fglauncher Qt5::Core Qt5::Widgets Qt5::Network Qt5::Qml Qt5::Quick Qt5::QuickWidgets SimGearCore)
+    target_link_libraries(fglauncher Qt5::Core Qt5::Widgets Qt5::Network Qt5::Qml Qt5::Quick Qt5::Svg SimGearCore)
     target_include_directories(fglauncher PRIVATE ${PROJECT_BINARY_DIR}/src/GUI)
 
     add_library(fgqmlui QQuickDrawable.cxx
@@ -150,11 +150,33 @@
                         ThumbnailImageItem.hxx
                         PopupWindowTracker.cxx
                         PopupWindowTracker.hxx
+                        QmlPositioned.hxx
+                        QmlPositioned.cxx
+                        QmlNavCacheWrapper.hxx
+                        QmlNavCacheWrapper.cxx
+                        QmlRadioButtonHelper.cxx
+                        QmlRadioButtonHelper.hxx
+                        UnitsModel.cxx
+                        UnitsModel.hxx
+                        NavaidSearchModel.hxx
+                        NavaidSearchModel.cxx
+                        FlightPlanController.cxx
+                        FlightPlanController.hxx
+                        RouteDiagram.cxx
+                        RouteDiagram.hxx
+                        ModelDataExtractor.cxx
+                        ModelDataExtractor.hxx
                         )
 
     set_property(TARGET fgqmlui PROPERTY AUTOMOC ON)
-    target_link_libraries(fgqmlui Qt5::Quick Qt5::Network Qt5::Qml SimGearCore)
+    target_link_libraries(fgqmlui Qt5::Quick Qt5::Widgets Qt5::Network Qt5::Qml SimGearCore)
     target_include_directories(fgqmlui PRIVATE ${PROJECT_BINARY_DIR}/src/GUI)
+
+    if (TARGET fgfs_qm_files)
+      add_dependencies(fglauncher fgfs_qm_files)
+      add_dependencies(fgqmlui fgfs_qm_files)
+    endif()
+
 endif()
